#!/bin/bash
#
# reset configuration utility wpa_supplicant configruation
# $Id: clear_wpa_passwd_file.sh 4 2016-04-03 22:05:53Z w0anm $

# ---------------
# Copyright (C) 2016 Christopher Kovacs, W0ANM
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see http://www.gnu.org/licenses/.
# ---------------

WPA_SUPP_CONF=/etc/wpa_supplicant/wpa_supplicant_custom-wlan0.conf


if (dialog --title "Clear WPA Supplicant Password File" --yesno "Do you want to clear the wireless setup ssid and passwords?" 10 60) then 
    # remove it file present
    if [ -f "$WPA_SUPP_CONF" ] ; then
        rm -f $WPA_SUPP_CONF
    fi
fi

